corda / net.corda.contracts / CommercialPaper / State

# State

`data class State : OwnableState, QueryableState, ICommercialPaperState`

### Constructors

<init> | `State(issuance: PartyAndReference, owner: CompositeKey, faceValue: Amount<Issued<Currency>>, maturityDate: Instant)`

### Properties

contract | `val contract: CommercialPaper` An instance of the contract class that will verify this state.
faceValue | `val faceValue: Amount<Issued<Currency>>`
issuance | `val issuance: PartyAndReference`
maturityDate | `val maturityDate: Instant`
owner | `val owner: CompositeKey` There must be a MoveCommand signed by this key to claim the amount
participants | `val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.
token | `val token: Issued<Terms>`

### Functions

generateMappedObject | `fun generateMappedObject(schema: MappedSchema): PersistentState` Object Relational Mapping support.
supportedSchemas | `fun supportedSchemas(): Iterable<MappedSchema>` Object Relational Mapping support.
toString | `fun toString(): String`
withFaceValue | `fun withFaceValue(newFaceValue: Amount<Issued<Currency>>): ICommercialPaperState`
withIssuance | `fun withIssuance(newIssuance: PartyAndReference): ICommercialPaperState`
withMaturityDate | `fun withMaturityDate(newMaturityDate: Instant): ICommercialPaperState`
withNewOwner | `fun withNewOwner(newOwner: CompositeKey): Pair<Move, State>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone
withOwner | `fun withOwner(newOwner: CompositeKey): ICommercialPaperState`

### Extension Functions

owned by | `infix fun State.owned by(owner: CompositeKey): State`
with notary | `infix fun State.with notary(notary: Party): TransactionState<State>`